For the latest news and information visit The GNU Crypto project

## gnu.crypto.sasl.srp
Class IALG

    java.lang.Object
      |
      +--gnu.crypto.sasl.srp.IALG

All Implemented Interfaces:
  java.lang.Cloneable

public final class IALG
extends java.lang.Object
implements java.lang.Cloneable

A Factory class that returns IALG (Integrity Algorithm) instances that operate as described in the draft-burdis-cat-sasl-srp-04 and later.

Method Summary
`java.lang.Object` `clone()`
`byte[]` `doFinal()`
`void` `init(KDF kdf)`
`int` `length()` Returns the length (in bytes) of this SASL SRP Integrity Algorithm.
`void` `update(byte[] data)`
`void` `update(byte[] data, int offset, int length)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
    `java.lang.CloneNotSupportedException`

### init

    public void init(KDF kdf)
              throws SaslException

    `SaslException`

### update

    public void update(byte[] data)

### update

    public void update(byte[] data,
                       int offset,
                       int length)

### doFinal

    public byte[] doFinal()

### length

    public int length()

  Returns the length (in bytes) of this SASL SRP Integrity Algorithm.

  Returns:
    the length, in bytes, of this integrity protection algorithm.

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.